
local itemTable =
{
	--  ores
	{ "angels-ore1", 1},
	{ "angels-ore2", 1},
	{ "angels-ore3", 1},
	{ "angels-ore4", 1},
	{ "angels-ore5", 1},
	{ "angels-ore6", 1},
	{ "gold-ore", 2},
	{ "silver-ore", 2},
	{ "lead-ore", 1},
	{ "tin-ore", 1},
	{ "tungsten-ore", 2},
	{ "zinc-ore", 2},
	{ "bauxite-ore", 2},
	{ "rutile-ore", 2},
	{ "quartz", 1},
	{ "cobalt-ore", 2},
	{ "nickel-ore", 2},
	{ "thorium-ore", 2},
	{ "clowns-ore1", 1},
	{ "clowns-ore2", 1},
	{ "clowns-ore3", 1},
	{ "clowns-ore4", 1},
	{ "clowns-ore5", 1},
	{ "clowns-ore6", 1},
	{ "clowns-ore7", 1},
	{ "phosphorus-ore", 1},
	
	{ "chrome-ore", 2},
	{ "manganese-ore", 2},
	{ "platinum-ore", 2},
	
	-- plates
	{ "aluminium-plate", 2},
	{ "brass-plate", 2},
	{ "bronze-plate", 1},
	{ "chrome-plate", 2},
	{ "cobalt-plate", 2},
	{ "cobalt-steel-plate", 2},
	{ "copper-plate", 1},
	{ "electrum-plate", 2},
	{ "glass-plate", 2},
	{ "gold-plate", 2},
	{ "gunmetal-plate", 2},
	{ "invar-plate", 2},
	{ "iron-plate", 1},
	{ "lead-plate", 1},
	{ "manganese-plate", 2},
	{ "nickel-plate", 2},
	{ "nitinol-plate", 3},
	{ "platinum-plate", 2},
	{ "silicon", 2},
	{ "silver-plate", 2},
	{ "steel-plate", 1},
	{ "tin-plate", 1},
	{ "titanium-plate", 3},
	{ "tungsten-plate", 3},
	{ "zinc-plate", 2},
	{ "lithium", 2},
	
	-- cables
	{ "copper-cable", 1},
	{ "tinned-copper-cable", 1},
	{ "insulated-cable", 2},
	{ "gilded-copper-cable", 2},
	
	-- electronic components
	{ "basic-electronic-components", 1},
	{ "electronic-components", 1},
	{ "intergrated-electronics", 2},
	{ "processing-electronics", 3},
	
	-- other
--	{ "solid-white-phosphorus", 2},
	{ "stone-crushed", 1},
	{ "glass", 1},
	{ "solder", 1}
}

log(serpent.block(data.raw.item["thorium-ore"]))

if deadlock_stacking then
	for _, item in pairs(itemTable) do
		if data.raw.item[item[1]] then
			deadlock_stacking.create(item[1], "__stacking-addon__/graphics/"..item[1].."-stack.png", "deadlock-stacking-"..item[2])
		end
	end
end 

if deadlock_crating then
	for _, item in pairs(itemTable) do
		if data.raw.item[item[1]] then
			deadlock_crating.create(item[1], "deadlock-crating-"..item[2])
		end
	end
end
